//////////////////////////////////////////
// User.h
// クラスを使わない関数等は自分で書きます
//////////////////////////////////////////
//以下はユーザーが自由に宣言、定義、処理の記述が出来ます。

static CBMP Back, Front, temp;	//tempは取得画像保存用CBMP変数
static int xPos[3], yPos[3];
static int Col = 0, BrType = 0;
static bool Again = FALSE;
static WORD Selected = IDM_LINE;
static WCHAR SelStr[24] = L"Line";
CCLIPBOARD cb;					//ビットマップを取得した場合、クリップボードにコピー

//------------------------------------
// メニューとツールバーのチェック変更
//------------------------------------
void CheckChange(HWND hWnd, WCHAR* SelStr, WORD Selected, WORD Sel) {

	SendMessageW(SBar.GetHandle(), SB_SETTEXT, 1, (LPARAM)SelStr);
	SendMessageW(TBar.GetHandle(), TB_SETSTATE, Selected,
				(LPARAM)MAKELONG(TBSTATE_ENABLED, 0));
	CheckMenuItem(GetSubMenu(GetMenu(hWnd), 1), Selected,
				MF_UNCHECKED | MF_BYCOMMAND);
	SendMessageW(TBar.GetHandle(), TB_SETSTATE, Sel,
				(LPARAM)MAKELONG(TBSTATE_ENABLED | TBSTATE_PRESSED, 0));
	CheckMenuItem(GetSubMenu(GetMenu(hWnd), 1), Sel,
				MF_CHECKED | MF_BYCOMMAND);
}
